Subject: Re: [Ietf-and-github] Clarifying non-requirement of GitHub use in the abstract

From: Christer Holmberg <[email-masked]>
Date: Mon, 4 Mar 2019 15:34:54 +0000

I think the guidelines should make it clear whether the WG chairs can decide on usage/non-usage of GitHub, or whether it is a decision that requires "rough consensus". What we want to avoid is future WGs spending months arguing whether they are going to use GitHub or not...

Regards,

Christer

On 04/03/2019, 17.22, "Ietf-and-github on behalf of Stephan Wenger" <[email-masked] on behalf of [email-masked]> wrote:

    Hi Paul, all,
    
    From reading the abstract, I think a careless reader could easily arrive at the conclusion that the use of GitHub may  become required for future working groups.  I'm referring in particular to the last sentence of the substance of the abstract.  Quoting the abstract:
    "
       The use of GitHub in IETF working group processes is increasing.
       This document describes possible uses and conventions for working
       groups which are considering starting to use GitHub.  It does not
       mandate any processes, and does not intend to change the processes
       used by current working groups.
        [...]
    "
    
    Could one not arrive at the conclusion by omission that there may be an intent to change the modus operandi of *future* WGs when referring to "processes used by current working groups"?  Even without mandating processes?  
    
    Therefore, I propose to either remove the "current" in that second sentence, or (preferably) add "and future" after "current".  Also, ensure that the scope of working group is right, but adding "not using GitHub" at the end of the sentence.  Implementing that preference, the non-administrative part of the abstract would read:
    
        The use of GitHub in IETF working group processes is increasing.
       This document describes possible uses and conventions for working
       groups which are considering starting to use GitHub.  It does not
       mandate any processes, and does not intend to change the processes
       used by current and future working groups not using GitHub.
    
    Stephan

    On 3/3/19, 10:33, "Paul Hoffman" <[email-masked]> wrote:
    
        On Mar 3, 2019, at 10:21 AM, Stephan Wenger <[email-masked]> wrote:
        > 
        > … there are probably still a few WG out who reject all this newfangled stuff and stay with email.
        
        There are many.
        
        >  Please don’t forget those.
        
        They are not forgotten. If you have specific text for the current draft that would make that more obvious, please suggest.
        
        --Paul Hoffman
    
    _______________________________________________
    Ietf-and-github mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/ietf-and-github